Index: ccr/trunk/p/C0CVIT2.m
===================================================================
--- ccr/trunk/p/C0CVIT2.m	(revision 1544)
+++ ccr/trunk/p/C0CVIT2.m	(revision 1586)
@@ -1,21 +1,18 @@
 C0CVIT2	; CCDCCR/CJE/GPL - CCR/CCD PROCESSING FOR VITALS ; 07/16/08
-	;;1.2;C0C;;May 11, 2012;Build 47
+	;;1.2;CCD/CCR GENERATION UTILITIES;;Oct 30, 2012;Build 50
 	;Copyright 2008,2009 George Lilly, University of Minnesota and others.
-	;Licensed under the terms of the GNU General Public License.
-	;See attached copy of the License.
-	;
-	;This program is free software; you can redistribute it and/or modify
-	;it under the terms of the GNU General Public License as published by
-	;the Free Software Foundation; either version 2 of the License, or
-	;(at your option) any later version.
-	;
-	;This program is distributed in the hope that it will be useful,
-	;but WITHOUT ANY WARRANTY; without even the implied warranty of
-	;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-	;GNU General Public License for more details.
-	;
-	;You should have received a copy of the GNU General Public License along
-	;with this program; if not, write to the Free Software Foundation, Inc.,
-	;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+	;
+	; This program is free software: you can redistribute it and/or modify
+	; it under the terms of the GNU Affero General Public License as
+	; published by the Free Software Foundation, either version 3 of the
+	; License, or (at your option) any later version.
+	;
+	; This program is distributed in the hope that it will be useful,
+	; but WITHOUT ANY WARRANTY; without even the implied warranty of
+	; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	; GNU Affero General Public License for more details.
+	;
+	; You should have received a copy of the GNU Affero General Public License
+	; along with this program.  If not, see <http://www.gnu.org/licenses/>.
 	;
 	W "NO ENTRY FROM TOP",!
@@ -66,5 +63,5 @@
 	I '$D(VIT) S @VITOUT@(0)=0 K VIT Q  ; RETURN NOT FOUND, KILL ARRAY AND QUIT
 	I $P(VIT(1),U,2)="No vitals found." D  Q  ; signal no vitals and quit
-	. I $D(VITOUT) S @VITOUT@(0)=0 
+	. I $D(VITOUT) S @VITOUT@(0)=0
 	. K VIT
 	;
@@ -168,5 +165,5 @@
 	Q
 	;
-HEIGHT	
+HEIGHT	;
 	I DEBUG W "IN VITAL:  HEIGHT",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC ; UNIQUE OBJID
@@ -185,5 +182,5 @@
 	Q
 	;
-WEIGHT	
+WEIGHT	;
 	I DEBUG W "IN VITAL:  WEIGHT",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -202,5 +199,5 @@
 	Q
 	;
-BP	
+BP	;
 	I DEBUG W "IN VITAL:  BLOOD PRESSURE",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -219,5 +216,5 @@
 	Q
 	;
-TMP	
+TMP	;
 	I DEBUG W "IN VITAL:  TEMPERATURE",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -236,5 +233,5 @@
 	Q
 	;
-RESP	
+RESP	;
 	I DEBUG W "IN VITAL:  RESPIRATION",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -253,5 +250,5 @@
 	Q
 	;
-PULSE	
+PULSE	;
 	I DEBUG W "IN VITAL:  PULSE",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -270,5 +267,5 @@
 	Q
 	;
-PAIN	
+PAIN	;
 	I DEBUG W "IN VITAL:  PAIN",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -287,5 +284,5 @@
 	Q
 	;
-OTHER	
+OTHER	;
 	I DEBUG W "IN VITAL:  OTHER",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -305,5 +302,5 @@
 	;
 	;TEMPORARY, THINKING ON HOW TO REFACTOR (CJE)
-HEIGHT1(DT,ACTOR,VALUE,UNIT)	
+HEIGHT1(DT,ACTOR,VALUE,UNIT)	;
 	I DEBUG W "IN VITAL:  HEIGHT",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC ; UNIQUE OBJID
@@ -322,5 +319,5 @@
 	Q
 	;
-WEIGHT1(DT,ACTOR,VALUE,UNIT)	
+WEIGHT1(DT,ACTOR,VALUE,UNIT)	;
 	I DEBUG W "IN VITAL:  WEIGHT",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -339,5 +336,5 @@
 	Q
 	;
-BP1(DT,ACTOR,VALUE,UNIT)	
+BP1(DT,ACTOR,VALUE,UNIT)	;
 	I DEBUG W "IN VITAL:  BLOOD PRESSURE",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -356,5 +353,5 @@
 	Q
 	;
-TMP1(DT,ACTOR,VALUE,UNIT)	
+TMP1(DT,ACTOR,VALUE,UNIT)	;
 	I DEBUG W "IN VITAL:  TEMPERATURE",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -373,5 +370,5 @@
 	Q
 	;
-RESP1(DT,ACTOR,VALUE,UNIT)	
+RESP1(DT,ACTOR,VALUE,UNIT)	;
 	I DEBUG W "IN VITAL:  RESPIRATION",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -390,5 +387,5 @@
 	Q
 	;
-PULSE1(DT,ACTOR,VALUE,UNIT)	
+PULSE1(DT,ACTOR,VALUE,UNIT)	;
 	I DEBUG W "IN VITAL:  PULSE",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -407,5 +404,5 @@
 	Q
 	;
-PAIN1(DT,ACTOR,VALUE,UNIT)	
+PAIN1(DT,ACTOR,VALUE,UNIT)	;
 	I DEBUG W "IN VITAL:  PAIN",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
@@ -424,5 +421,5 @@
 	Q
 	;
-OTHER1(DT,TEXT,ACTOR,VALUE,UNIT)	
+OTHER1(DT,TEXT,ACTOR,VALUE,UNIT)	;
 	I DEBUG W "IN VITAL:  OTHER",!
 	S ZRNF("VITALSIGNSDATAOBJECTID")="VITAL"_C0CC
